Skip to content

Retrieve a resource collection

Request

Beta
OAuth 2.0 scope:
  • okta.governance.collections.read
Admin roles:
  • APP_ADMIN

Retrieves a resource collection

Path
collectionIdstringrequired

Unique identifier for the collection

GET
/governance/api/v2/collections/{collectionId}
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/collections/{collectionId}'

Responses

Response to a successful resource collection creation operation

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
namestring, [ 1 .. 255 ] charactersrequired

The name of a resource collection

descriptionstring, [ 1 .. 1000 ] characters

The human-readable description

idstring, non-emptyrequired

Unique identifier for the object

createdBystring, (okta-user-id), [ 1 .. 20 ] characters(created-by)read-onlyrequired

The id of the Okta user who created the resource

createdstring, (date-time)(created)read-onlyrequired

The ISO 8601 formatted date and time when the resource was created

lastUpdatedstring, (date-time)(last-updated)read-onlyrequired

The ISO 8601 formatted date and time when the object was last updated

lastUpdatedBystring, (okta-user-id), [ 1 .. 20 ] characters(last-updated-by)read-onlyrequired

The id of the Okta user who last updated the object

ornstring, (okta-resource-orn)(okta-collection-orn)required

The id of the collection in ORN format.

countsobject(collection-counts-v2)

Collection count metadata

Response
Full response details for a resource collection
{ "id": "cole8sBBMFDxPgcHx0g3", "name": "Core Engineering Access", "orn": "orn:okta:governance:00o11rndFqmZ5rNfs0g4:collections:cole8sBBMFDxPgcHx0g3", "description": "Birthright access for all FTE engineers", "created": "2024-07-24T14:15:22Z", "createdBy": "00ub0oNGTSWTBKOLGLNR", "lastUpdated": "2024-07-24T14:15:22Z", "lastUpdatedBy": "00ub0oNGTSWTBKOLGLNR", "_links": { "resources": {} } }